import { useTranslation } from 'react-i18next';

import SummaryCard from '@composed-components/audience/SummaryCard';
import { IconBuildingSkyscraper } from '@tabler/icons-react';

import { type AllSummaryCardProps } from './types';

const AllSummaryCard = ({ onEdit, onDelete }: AllSummaryCardProps) => {
  const { t } = useTranslation('material_hu_only');

  return (
    <SummaryCard
      Icon={IconBuildingSkyscraper}
      title={t('audience.all_community_title')}
      description={t('audience.all_community_description')}
      onEdit={onEdit}
      onDelete={onDelete}
    />
  );
};

export default AllSummaryCard;
